﻿
try {
    System.Gadget.settingsUI = "settings.html";
    System.Gadget.onSettingsClosing = settingsClosing;
    initSettings();
}
catch (ex) {// running in browser, no System.Gadget namespace available
}


function initSettings() {
    if (getSetting("radarType") == null || getSetting("radarType") == "" || getSetting("radarType") == 0) {
        setSetting("radarType", "static");
        setSetting("region", "eu");
        setSetting("refreshSeconds", 300);
        setSetting("refreshSelectedIndex", 0);
        InitPosition('radar_image');
    }
}

function loadSettings() {
    
//    var radarType = getSetting("radarType");
//    if (radarType == "static")
//        radarTypeStatic.status = true;
//    else
//        radarTypeDynamic.status = true;
        
    var imageDisplay = getSetting("imageDisplay");
    if (imageDisplay == "infrared")
        imageIrAlways.status = true;
    else
        imageIrNightly.status = true;

    regionSelection.selectedIndex = getSetting("regionIndex");
    refreshMinutes.selectedIndex = getSetting("refreshSelectedIndex");    
}

function settingsClosing(event) {
    if (event.closeAction == event.Action.commit) {
        // var radarTypeSetting = radarTypeDynamic.status ? "dynamic" : "static";
        var imageDisplaySetting = imageIrNightly.status ? "visual" : "infrared";

        var n = refreshMinutes.selectedIndex;
        refreshSecondsSetting = refreshMinutes[n].value * 60;

        var r = regionSelection.selectedIndex;
        region = regionSelection[r].value;
        
        // setSetting("radarType", radarTypeSetting);
        setSetting("imageDisplay", imageDisplaySetting);
        setSetting("refreshSeconds", refreshSecondsSetting);
        setSetting("refreshSelectedIndex", n);
        setSetting("region", region);
        setSetting("regionIndex", r);
    }
}

function setSetting(name, value) {
    try {
        System.Gadget.Settings.write(name, value);
        return true;
    }
    catch (ex) {
        return false;
    }
}

function getSetting(name) {
    try {
        return System.Gadget.Settings.read(name);
    }
    catch (ex) {
        return null;
    }
}

function resetSettings() {
    setSetting("doReset", true);
}