﻿var zfactor = 30;
var panfactor = 30;
var defheightwidth = 150;
var deflefttop = -10;
var doReset = false;

function findDOM(objectId) {
    if (document.getElementById) {
        return (document.getElementById(objectId));
    }
    if (document.all) {
        return (document.all[objectId]);
    }
}

function zoom(type, imgx) {
    imgd = findDOM(imgx);

    if (type == "+") {
        imgd.width += zfactor; imgd.height += zfactor;
        panfactor = panfactor / 2;
        pan("down", imgx, false);
        pan("right", imgx, false);
        panfactor = panfactor * 2
    }
    if (type == "-") {
        imgd.width -= zfactor; imgd.height -= zfactor;
        panfactor = panfactor / 2;
        pan("up", imgx, false);
        pan("left", imgx, false);
        panfactor = panfactor * 2;
    }

    if (imgd.width < defheightwidth) InitPosition(imgx);
    if (imgd.height < defheightwidth) InitPosition(imgx);

    SavePosition(imgx);
}

function pan(type, imgx, save) {
    imgd = findDOM(imgx);

    switch (type) {
        case "up":
            imgd.style.top = (imgd.offsetTop + panfactor) + 'px';
            if (imgd.offsetTop > 0) imgd.style.top = deflefttop + 'px';
            break;
        case "down":
            if (imgd.offsetTop - defheightwidth < -imgd.height) return;
            imgd.style.top = (imgd.offsetTop - panfactor) + 'px';
            break;
        case "left":
            imgd.style.left = (imgd.offsetLeft + panfactor) + 'px';
            if (imgd.offsetLeft > 0) imgd.style.left = '0px';
            break;
        case "right":
            if (imgd.offsetLeft - defheightwidth < -imgd.width) return;
            imgd.style.left = (imgd.offsetLeft - panfactor) + 'px';
            break;
    }

    if (save) SavePosition(imgx);
}

function createCookie(name, value, days) {
    // gadget-settings
    if (setSetting(name, value) == true) return;
    // cookie-settings
    if (days) {
        var date = new Date();
        date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
        var expires = "; expires=" + date.toGMTString();
    }
    else var expires = "";
    document.cookie = name + "=" + value + expires + "; path=/";
}

function readCookie(name) {
    // gadget-settings
    if (getSetting(name) != null) {
        return getSetting(name);
    }
    // cookie-settings
    var nameEQ = name + "=";
    var ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') c = c.substring(1, c.length);
        if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
    }
    return null;
}

function eraseCookie(name) {
    createCookie(name, "", -1);
}

function SavePosition(imgx) {
    imgd = findDOM(imgx);

    SetSetting('sr_image_left', imgd.style.left);
    SetSetting('sr_image_top', imgd.style.top);
    SetSetting('sr_image_height', imgd.height);
    SetSetting('sr_image_width', imgd.width);
}

function SetSetting(name, value) {
    System.Gadget.Settings.write(name, value);
}

function GetSetting(name, defaultValue) {
    var retval = defaultValue;
    if (System.Gadget.Settings.read(name) != '') {
        retval = System.Gadget.Settings.read(name);
    }
    return retval;
}

function GetPosition(imgx) {
    if (GetSetting("doReset", false) == true) doReset = true;
    if (GetSetting("sr_image_left", null) == null) doReset = true;

    if (doReset) {
        InitPosition(imgx);
        SetSetting("doReset", false);        
        return;
    }

    imgd = findDOM(imgx);
    imgd.style.left = GetSetting("sr_image_left", 0);
    imgd.style.top = GetSetting("sr_image_top", 0);
    imgd.height = GetSetting("sr_image_height", null) == null ? imgd.height : GetSetting("sr_image_height", imgd.height);
    imgd.width = GetSetting("sr_image_width", null) == null ? imgd.width : GetSetting("sr_image_width", imgd.width);
}

function InitPosition(imgx) {
    SetImageUrl(imgx);
    imgd = findDOM(imgx);
    imgd.style.left = deflefttop;
    imgd.style.top = deflefttop;
    imgd.height = defheightwidth;
    imgd.width = defheightwidth;
    SavePosition(imgx);
}

function SetImageUrl(imgx) {
    imgd = findDOM(imgx);
    imgd.onerror = function(evt) { this.src = 'images/no_image.png' };
    
    region = GetSetting("region", "eu");
    if (GetSetting("imageDisplay", "visual") == "visual") {
        if (GetSetting("radarType", "static") == "static") {
            imgd.src = 'http://gadgets.sat24.com/image.ashx?country=' + region + '&type=last&gadget=vista&sat=&rnd=' +
                Math.round(100000 * Math.random());
        }
        else {
            imgd.src = 'http://gadgets.sat24.com/image.ashx?country=' + region + '&type=zoom&gadget=vista&format=640x480001001&rnd=' +
                Math.round(100000 * Math.random());
        }
    }
    else {
        if (GetSetting("radarType", "static") == "static") {
            imgd.src = 'http://gadgets.sat24.com/image.ashx?country=' + region + '&type=last&gadget=vista&sat=ir&rnd=' +
                Math.round(100000 * Math.random());
        }
        else {
            imgd.src = 'http://gadgets.sat24.com/image.ashx?country=' + region + '&sat=ir&gadget=vista&rnd=' +
                Math.round(100000 * Math.random());
        }
    }

    imgt = findDOM('time');
}

function GetRefreshTime() {
    // seconds * 1000
    if (GetSetting("refreshSeconds", null) != null) {
        return GetSetting("refreshSeconds") * 1000;
    }
    else {
        return 60 * 1000;
    }
}

function Refresh(imgx) {
    SetImageUrl(imgx);
    SetTime(imgx);
}

function toggleControl(state) {
    switch (state) {
        case 'on':
            control.style.visibility = 'visible';
            break;

        case 'off':
            control.style.visibility = 'hidden';
    }
}

function SetTime(imgx) {
    if (GetSetting("radarType", "static") == "static") {
        var d = new Date();
        d.setTime(d - 10 * 60000);
        hour = d.getHours();
        minute = Math.floor(d.getMinutes() / 15) * 15;
        if (minute == 0) minute = "00";
        timetext.innerText = hour + ':' + minute + ' ' + localname;
        timeimage.style.visibility = 'hidden';
        timetext.style.visibility = 'visible';
    }
    else {
        var d = new Date();
        var s = new Date();
        d.setTime(d - 10 * 60000);
        hour = d.getHours();
        minute = Math.floor(d.getMinutes() / 15) * 15;

        s.setTime(d - 2 * 3600000);
        shour = s.getHours();
        sminute = Math.floor(s.getMinutes() / 15) * 15;

        if (minute == 0) minute = "00"; if (sminute == 0) sminute = "00";

        timetext.innerText = shour + ':' + sminute + '-' + hour + ':' + minute + ' ' + localname;
        timeimage.style.visibility = 'hidden';
        timetext.style.visibility = 'visible';
    }
}